# `@hackkun/react-script`

> react 项目运行命令

## 如何使用

- 建议使用 npx create-app create [myapp] 之间创建模版应用

## 如何自定义使用

```
# 建议使用此命令来创建项目模版：
$ npx create-app create [myapp]

$ mkdir [myapp] && cd [myapp]

$ yarn add @hackkun/react-script

# package.json scripts 中增加
$ react-script start [环境变量]
$ react-script build [环境变量]
```

### 默认包含环境变量

- process.env.APP_MODE
  > start 命令：development  
  > build 命令：production
- process.env.APP_ENV [环境变量]

### 如何自定义 config 配置

- 在根目录创建.env.[环境变量]
- 单独创建 config 文件，根据 process.env.APP_ENV 自定义

### 如何自定义 webpack 配置

- 根目录创建 webpack.chain.js

```
  # 如果需要修改打包路径，则  ：
    const paths = require('@hackkun/react-script/lib/paths')

    paths.appBuild = path.resolve(__dirname, 'build')

  module.exports = (config, mode) => {

  }
```

- 具体配置参考[webpack-chain](https://github.com/Yatoo2018/webpack-chain/tree/zh-cmn-Hans)
